Summary: traces the route packets take over a TCP/IP network
Name: traceroute
Version: 1.4a5
Release: 7
Copyright: BSD
Group: Networking/Utilities
Source: ftp://ftp.ee.lbl.gov/traceroute-1.4a5.tar.Z
Patch0: traceroute-1.4a5-fix.patch
Patch1: traceroute-1.4a5-secfix.patch
BuildRoot: /var/tmp/traceroute-root
Summary(de): verfolgt die Route von Paketen ber ein TCP/IP-Netzwerk
Summary(fr): Dtermine le route emprunte par les paquets sur un rseau TCP/IP.
Summary(tr): TCP/IP alarnda paketlerin rotasn izler

%description
Traceroute prints the route packets take across a TCP/IP. The names (or
IP numbers if names are not available) of the machines which are routing
packets from the machine traceroute is running on to the destination 
machine are printed, along with the time is took to receive a packet
acknowledgement from that machine. This tool can be very helpfull in
diagnosing networking problems.

%description -l de
Traceroute druckt die Route, die von den Paketen ber ein TCP/IP 
eingeschlagen wird. Die Namen (bzw. die IP-Nummern, wenn keine Namen 
verfgbar sind) der Maschinen, die beim Routing beteiligt sind, angefangen 
vom Rechner, auf dem Tracerout luft, bis zum Ziel, werden ausgedruckt, 
zusammen mit der Zeit bis zum Erhalt der 'Empfangsbesttigung'. 
Dieses Tool kann bei der Diagnose von Netzwerkproblemen gute Dienste leisten. 

%description -l fr
traceroute affiche la route que les paquets prennent avec TCP/IP. Il affiche
les noms (ou les numros IP si les noms ne sont pas disponibles) des machines
qui routent les paquets de la machine sur laquelle traceroute s'excute
jusqu' la machine destination, ainsi que le temps qu'il a fallu pour recevoir
un accus reception de cette machine. Cet outil est trs pratique pour
diagnostiquer les problmes rseau

%description -l tr
Traceroute, bir TCP/IP a boyunca paketlerin izledikleri rotann dkmn
karr. alt makineden hedef makineye kadar olan yol boyunca paketleri
ynlendiren her makinenin ismi (ya da IP numaralar), bu makinelerden alnd
bilgisinin alnmasna kadar geen sreyle birlikte listelenir. A
sorunlarnn belirlenmesinde olduka yardmc olabilir.

%prep
%setup -q
%patch0 -p1 -b .fix
%patch1 -p1 -b .secfix

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man8}

make prefix=$RPM_BUILD_ROOT/usr install install-man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# this is set as 4555 by make install, which I don't really like
%attr(4755,root,bin)	/usr/sbin/traceroute
/usr/man/man8/traceroute.8

%changelog
* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 16 1997 Cristian Gafton <gafton@redhat.com>
- updated the security patch (ouch!). Without the glibc fix, it could be
  worthless anyway

* Sat Dec 13 1997 Cristian Gafton <gafton@redhat.com>
- added a security patch fix

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added fix from Christopher Seawood

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to 1.4a5 for security fixes; release 1 is for RH 4.2, release 2
  is against glibc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
